<ng-container>
  <sqtm-core-customisable-dialog
    [titleKey]="data.titleKey"
    [dialogId]="data.id"
    (confirm)="confirm()"
  >
    <sqtm-core-dialog-body>
      <div class="flex-column full-width full-height">
        @if (!data.canEditAllRows) {
          <div class="flex-row m-b-5">
            <div class="flex" style="align-items: center">
              <i
                nz-icon
                class="sqtm-core-icon"
                nzType="info-circle"
                nzTheme="twotone"
                [nzTwotoneColor]="'#1890FF'"
              ></i>
            </div>
            <span [attr.data-test-dialog-message]="'no-writing-right'">{{
              'sqtm-core.search.generic.modify.no-writing-rights' | translate
            }}</span>
          </div>
        }

        <div>
          <sqtm-core-optional-select-field
            [fieldName]="'executionStatus'"
            [i18nKey]="'sqtm-core.entity.generic.status.label'"
            [selectedValue]="'READY'"
            [displayOptions]="getExecutionStatusValues()"
          >
          </sqtm-core-optional-select-field>
        </div>
      </div>
    </sqtm-core-dialog-body>
  </sqtm-core-customisable-dialog>
</ng-container>
